# classes/phing/types/PhingFilterReader.php

## \PhingFilterReader
jump to top

A PhingFilterReader is a wrapper class that encloses the className and configuration of a Configurable FilterReader.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \DataType
see
  \FilterReader
author
  Yannick Lecaillez
package
  phing.types
version
  $Revision: 557 $

### Properties

`$className= ''`
Details

Type

`$classPath= ''`
Details

Type

`$parameters= 'array'`
Default value `array` Details

Type

### Methods

`addParam( $param ) :`
Parameters

Name | Type | Description
--- | --- | ---
$param |  |

`createClasspath( ) :`
`createParam( ) :`
`getClassName( ) :`
`getClasspath( ) :`
`getParams( ) :`
`setClassName( $className ) :`
Parameters

Name | Type | Description
--- | --- | ---
$className |  |

`setClasspath( \Path $classpath ) :`
Set the classpath to load the FilterReader through (attribute).
Parameters

Name | Type | Description
--- | --- | ---
$classpath | \Path |

`setClasspathRef( $r ) :`
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

`setRefid( $r ) :`
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

Documentation was generated by DocBlox 0.13.1.